#include <bits/stdc++.h>
using namespace std;
string x,y,s3;
long long s,a,n1,n,m;
int main(){
    cin >> x;
    cin >> y;
    m=max(x.size(),y.size());
    n=m-x.size();
    n1=m-y.size();
    x.insert(0, n, '0');
    y.insert(0, n1,'0');
    for (int i=0;i<x.size();i++){
        if (x[i]>y[i])s3+=x[i];
        if (y[i]>x[i])s3+=y[i];
        if (x[i]==y[i]){
            s3+=x[i];
            s3+=y[i];
        }
    }
    cout << s3 << endl;

    return 0;
}